// Copyright (c) 2014 Tais Plougmann Hansen. All rights reserved.
// This Source Code Form is subject to the terms of the BSD 2-Clause license.
// If a copy of the BSD license was not distributed with this file, you can
// obtain one at http://opensource.org/licenses/BSD-2-Clause.

library google_oauth2_jwt.jwt.token_test;

import 'package:google_oauth2_jwt/jwt.dart';
import 'package:unittest/unittest.dart';

main() {
  final String email = '';

  group('token', () {
    test('google-claim-set', () {
//      expect(() => new GoogleClaimSet(invalidclaimname: true), throwsNoSuchMethodError);
      var cs = new GoogleClaimSet();
      cs.email = 'test';
      expect(cs.email, equals('test'));
    });

    group('decode', (){
      final String idToken = 'eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJpc3MiOiI3NjEzMjY3OTgwNjktcjVtbGpsbG4xcmQ0bHJiaGc3NWVmZ2lncDM2bTc4ajVAZGV2ZWxvcGVyLmdzZXJ2aWNlYWNjb3VudC5jb20iLCJzY29wZSI6Imh0dHBzOi8vd3d3Lmdvb2dsZWFwaXMuY29tL2F1dGgvcHJlZGljdGlvbiIsImF1ZCI6Imh0dHBzOi8vYWNjb3VudHMuZ29vZ2xlLmNvbS9vL29hdXRoMi90b2tlbiIsImV4cCI6MTMyODU1NDM4NSwiaWF0IjoxMzI4NTUwNzg1fQ.ixOUGehweEVX_UKXv5BbbwVEdcz6AYS-6uQV6fGorGKrHf3LIJnyREw9evE-gs2bmMaQI5_UbabvI4k-mQE4kBqtmSpTzxYBL1TCd7Kv5nTZoUC1CmwmWCFqT9RE6D7XSgPUh_jF1qskLa2w0rxMSjwruNKbysgRNctZPln7cqQ';

      JsonWebToken jwt() => decodeGoogleIdToken(idToken);
      GoogleClaimSet cs() => jwt().claimSet;

      skip_group('claimset', (){
        test('email', (){
          expect(cs().email, equals(email));
        });
      });
    });

    group('encode', (){
      final cs = new GoogleClaimSet();
    });
  });
}
